summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorandy <andy@mailbox.tu-berlin.de>2013-05-06 00:31:02 +0200
committerandy <andy@mailbox.tu-berlin.de>2013-05-06 00:31:02 +0200
commit15e9ec0a16e6ff627f44067b28a28cc4226228b8 (patch)
tree019854797a8f52b815b27807fef43e47f63ac0ea /sys-apps
parentupdated jlink ebuild (diff)
downloadandy-15e9ec0a16e6ff627f44067b28a28cc4226228b8.tar.gz
andy-15e9ec0a16e6ff627f44067b28a28cc4226228b8.tar.bz2
andy-15e9ec0a16e6ff627f44067b28a28cc4226228b8.zip
added Intel® Local Manageability Service
Diffstat (limited to 'sys-apps')
-rw-r--r--sys-apps/lms/Manifest3
-rw-r--r--sys-apps/lms/files/lms.initd24
-rw-r--r--sys-apps/lms/lms-8.0.0.7.ebuild48
3 files changed, 75 insertions, 0 deletions
diff --git a/sys-apps/lms/Manifest b/sys-apps/lms/Manifest
new file mode 100644
index 0000000..dade791
--- /dev/null
+++ b/sys-apps/lms/Manifest
@@ -0,0 +1,3 @@
+AUX lms.initd 516 SHA256 44affc8baf3708535f8dce7c966d6b72b7cb748625dda74cd6b0be54b87742e2 SHA512 ecc65bc7f54ae7aa4762028ac452e260f051577954b3e4af7f0d831c04a4baec53aa8e422d4daef6cdcd228b2c9ea1b045c747360008a30b6cc3ae5a99aaa9af WHIRLPOOL 63120f10d1802d1bbd8ed7ffd12ddceb6fbdf5bf2ef10269524f96fcb5be4d45f4b7109922973f0db3042f515cf56027763887e36e6c7991f8130abfe09eaee4
+DIST lms-8.0.0-7.tar.gz 382509 SHA256 7077db6f2f381e67cb37565b20c40ff0c7d3f98f014e65622a4b4b66c2b1d637 SHA512 1b1a92466061518d939bf541aaf39553ee1d6eb27a9fdfcb4b6b39dd88179d7edc51b4b3cde20caba7c6d62d2485b969804a32e44cca9db60e5cc7fc89bbda5c WHIRLPOOL 3c9219105687a0ec2a8b29afbabbaf9d4321815280656a234115097b08562a6d18f67eaac1b140d933f77f80839e13ee399d704d459c5440207550b88cc396ad
+EBUILD lms-8.0.0.7.ebuild 1158 SHA256 2e7082464eec3d38d84f458bbddd1e982b2c3e950ed30529e557178aeaf0b53a SHA512 21f6ab87f22dadc3b7940b23338150a531d73b5a94a259fc91f16945024198b2c05687f09e3d80a7986578bea380b0734a04cf6d360c4e8f3974279033524039 WHIRLPOOL 2d58e1ce7f33741f3b576f15c1fc7a9504b5ceb56625ab2837fcb0a973fd31ce9857ecfadd2cdf7f9e26bcc263b8cce6fd2b9aee598c78f8fdd510b2d79a7c77
diff --git a/sys-apps/lms/files/lms.initd b/sys-apps/lms/files/lms.initd
new file mode 100644
index 0000000..9f57c80
--- /dev/null
+++ b/sys-apps/lms/files/lms.initd
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DAEMON="/usr/sbin/lms"
+
+depend() {
+ need localmount
+}
+
+start() {
+ ebegin "Starting Intel® Local Manageability Service"
+ start-stop-daemon --start --exec $DAEMON \
+ --pidfile /run/lms.pid
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Intel® Local Manageability Service"
+ start-stop-daemon --stop --exec $DAEMON \
+ --pidfile /run/lms.pid
+ eend $?
+}
diff --git a/sys-apps/lms/lms-8.0.0.7.ebuild b/sys-apps/lms/lms-8.0.0.7.ebuild
new file mode 100644
index 0000000..bde89e2
--- /dev/null
+++ b/sys-apps/lms/lms-8.0.0.7.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+inherit versionator linux-info
+
+MY_PV=$(replace_version_separator 3 '-' )
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="Local Manageability Service (LMS) allows access to Intel® Active Management"
+HOMEPAGE="http://software.intel.com/en-us/articles/download-the-latest-intel-amt-open-source-drivers"
+SRC_URI="http://software.intel.com/sites/default/files/${MY_P}.tar.gz"
+
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Intel-SDP"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+pkg_pretend() {
+ linux-info_pkg_setup
+ if ! linux_config_exists || ! linux_chkconfig_present INTEL_MEI
+ then
+ ewarn "This service requires Intel MEI driver in your kernel config"
+ ewarn
+ ewarn " Device Drivers -->"
+ ewarn " Misc devices -->"
+ ewarn " <*> Intel Management Engine Interface (Intel MEI)"
+ ewarn
+ ewarn "and recompile your kernel ..."
+ fi
+}
+
+src_prepare() {
+ edos2unix README
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ dodoc README
+ newinitd "${FILESDIR}/lms.initd" lms
+}